<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('processed_holiday_restday_duty', function (Blueprint $table) {
            $table->boolean('isRestday')->default(false)->after('time_out');
            $table->boolean('meal')->default(false)->after('isRestday');
            $table->decimal('meal_amount', 12,2)->nullable()->after('meal');
            $table->boolean('transportation')->default(false)->after('meal_amount');
            $table->decimal('transportation_amount', 12,2)->nullable()->after('transportation');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('processed_holiday_restday_duty', function (Blueprint $table) {
            $table->dropColumn('isRestday');
            $table->dropColumn('meal');
            $table->dropColumn('meal_amount');
            $table->dropColumn('transportation');
            $table->dropColumn('transportation_amount');
        });
    }
};
